#!/bin/bash

section "Populate the shared folder..."
cp -nr shared/* /media/sf_shared || \
  error "documents in shared folders not correctly installed."

section "Install a patched SciViews autoinstaller..."
sudo cp svautoinstall /usr/local/bin/svautoinstall
sudo chmod 755 /usr/local/bin/svautoinstall
sudo chmod +x /usr/local/bin/svautoinstall

section "Configure the keyboard..."
if [ -d "/home/sv/shared/install/auto/config/mac_host" ]; then \
  setxkbmap -layout "fr(mac)"
  xfconf-query -c keyboard-layout -p /Default/XkbLayout -s "fr,fr,be,us"
  xfconf-query -c keyboard-layout -p /Default/XkbVariant -s "mac,,,mac"
  echo "Keyboard set to 'fr(mac)': French and Belgian Macintosh"
else
  echo "Keyboard set to 'be': Belgian PC Keyboard"
fi

# Change SciViews Box version
new_svbox_version $app_version
